<bugID>389766<Summary>Hard-to-understand presentation of protocol-handlers on Linux</Summary><Description>User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9a7pre) Gecko/2007072604 Minefield/3.0a7pre
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9a7pre) Gecko/2007072604 Minefield/3.0a7pre

On Ubuntu 7.04, the webcal links no longer load into evolution by default.  Previously, they would launch the "unknown protocol" window, but would offer to launch Evolution for you to handle the link.  With this build, a "Choose Application" window pops up, and nothing you tell it will cause Evolution to work.

Reproducible: Always

Steps to Reproduce:
1. Go to the webcal link in the above URL on FFx on Ubuntu 7.04
2. In the choose application window that pops up, choose any version of Evolution you can find. On this system, I tried it with evolution, evolution-2.2, and evolution-2.10, all from /usr/bin

Actual Results:  
The webcal link is not imported to Evolution.

Expected Results:  
The webcal link should be handled by evolution. This means that Evolution will open a window asking you which color to assign to the calendar and how often to update it.

This is the regression range for the break:
http://bonsai.mozilla.org/cvsquery.cgi?treeid=default&amp;module=all&amp;branch=HEAD&amp;branchtype=match&amp;dir=mozilla%2F&amp;file=&amp;filetype=match&amp;who=&amp;whotype=match&amp;sortby=Date&amp;hours=2&amp;date=explicit&amp;mindate=2007-07-25+05%3A00%3A00&amp;maxdate=2007-07-26+05%3A00%3A00&amp;cvsroot=%2Fcvsroot</Description></bugID>